<template>
  <v-otp-input
    v-bind="$attrs"
    length="4"
    placeholder="0"
    variant="underlined"
    type="number"
    autofocus
  />
</template>

<script setup lang="ts">
import { onMounted } from 'vue';

/**
 * We need to fix Vuetify OTP input
 * ability to use masked numeric fields
 *
 * By default, you can only choose either
 * numeric or password input, so this code
 * here to combine it
 */
onMounted(() => {
  const otpInputs = (
    [...document.querySelectorAll('.v-otp-input__field')]
  ) as HTMLInputElement[];

  otpInputs.forEach(input => {
    input.setAttribute('type', 'password');
  });
});
</script>